tigase.jaxmpp.core.client.xmpp.modules.muc

## Class Occupant

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.Occupant

-     public class Occupant
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Occupant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Affiliation` | `getAffiliation()`
    `String` | `getNickname()`
    `Presence` | `getPresence()`
    `Role` | `getRole()`
    `int` | `hashCode()`
    `void` | `setPresence(Presence presence)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Occupant

          public Occupant()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getAffiliation

          public Affiliation getAffiliation()

    - #### getNickname

          public String getNickname()
                             throws XMLException

      Throws:
        `XMLException`

    - #### getPresence

          public Presence getPresence()

    - #### setPresence

          public void setPresence(Presence presence)

    - #### getRole

          public Role getRole()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.